summaryrefslogtreecommitdiff
path: root/run-tests.sh
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2012-09-06 14:10:19 +0100
committerCarl Hetherington <cth@carlh.net>2012-09-06 14:10:19 +0100
commit8f6f5c5c8f09d8aa880c3f2f29530744576212a1 (patch)
tree9f726c3ec1e9e047b9672705d57b0a798584ef7e /run-tests.sh
parent50a7273c4d3cedd582856eeb22c07117b8b8572d (diff)
Add a test corpus for XML.
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/run-tests.sh b/run-tests.sh
index 8873a3e9..c75c8c2a 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -18,4 +18,19 @@ if [ "$?" != "0" ]; then
echo "FAIL: files differ"
exit 1
fi
-echo "PASS" \ No newline at end of file
+
+if [ -e "../libdcp-test" ]; then
+ for d in `find ../libdcp-test -mindepth 1 -maxdepth 1 -type d`; do
+ LD_LIBRARY_PATH=build/src:build/asdcplib/src build/tools/dcpinfo $d
+ if [ "$?" != "0" ]; then
+ echo "FAIL: dcpinfo failed"
+ exit 1
+ fi
+ done
+else
+ echo "Test corpus not found"
+ exit 1
+fi
+
+echo "PASS"
+